Plugable USB2.0 gigabit ethernet will not load WinXP drivers on Dell Optiplex GX620


#1

AX88178 w/1.12.37 WinXP driver will not load. I have older AX88178 by Arkview and they load fine. Please help, Thanks!


#2

Thanks Bernie, that XP 32-bit driver 1.4.3.63 worked! I’m not sure why it didn’t work with mini install CD that came with. Anyways, all is well, Thanks again!


#3

The supplied driver didn’t work because it’s out of date. Always use the latest drivers from the manufacturer’s web site. Always immediately throw away the driver disc and download the latest driver.


#4

Hi Raoul,

Thanks for posting!

Happy Holidays!

Jerome.
Plugable Technologies


#5

Hi Jeff,

Thanks for posting!

Yes, you’ll need drivers version 1.4.3.63 (Nov 11 2009) or later.

Those are on the mini-driver CD in the product package, but you can always download the latest drivers from our http://plugable.com/support/drivers/ page, which steers you to the latest ASIX drivers here:
http://www.asix.com.tw/download.php?s…

And specifically for XP 32-bit, here: http://www.asix.com.tw/FrootAttach/dr…

This should get you going. Let us know if there are any problems.

Thank you for your purchase and your post!
Bernie


#6